Skip to main content

Output Profile

Get Output Profile List

Request

GET /v1/vhosts/{vhost}/apps/{app}/outputProfiles
Authorization: Basic {credentials}

# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>

Responses

200 Ok

The request has succeeded

Header

Content-Type: application/json

Body

{
"statusCode": 200,
"message": "OK",
"response": [
"default",
"audio_only"
]
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Json array containing a list of output profile names
401 Unauthorized

Authentication required

Header

WWW-Authenticate: Basic realm=”OvenMediaEngine”

Body

{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}
404 Not Found

The given vhost or application name could not be found.

Body

{
"message": "[HTTP] Could not find the application: [vhost/app1] (404)",
"statusCode": 404
}

Create Output Profile

Add an Output Profile to the Application. If this request succeeds, the application will be restarted.

Request

POST /v1/vhosts/{vhost}/apps/{app}/outputProfiles

Header

Authorization: Basic {credentials}

# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>

Body

Configure output profiles to be created in Json array format.

[
{
"name": "bypass_profile",
"outputStreamName": "${OriginStreamName}_bypass",
"encodes": {
"videos": [
{
"bypass": true
}
],
"audios": [
{
"bypass": true
}
]
}
}
]

# name (required)
The name of the output profile. cannot be duplicated

# outputStreamName (required)
The name of the output stream to be created through this profile.

# encodes (required)
encode profile list. It must have videos or audios, and must have at least one item.

Responses

200 Ok

The request has succeeded

Header

Content-Type: application/json

Body

It responds with Json array for each request.

[
{
"statusCode": 200,
"message": "OK",
"response": {
"name": "bypass_profile",
"outputStreamName": "${OriginStreamName}_bypass",
"encodes": {
"audios": [],
"videos": [
{
"bypass": true
}
]
}
},
{
"statusCode": 200,
"message": "OK",
"response": {
...
}
}
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Created output profile information
207 Multi-Status

There might be a mixture of responses.

Header

Content-Type: application/json

Body

It responds with Json array for each request.

[
{
"statusCode": 200,
"message": "OK",
"response": {
"name": "app",
"outputProfiles": {
...

"providers": {
"ovt": {},
"rtmp": {},
...
},
{
"statusCode": 409,
"message": "Conflict",
"response": {
...
}
}
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Output profile information created when statusCode is 200
400 Bad Request

Invalid request. Body is not a Json array or does not have a required value

401 Unauthorized

Authentication required

Header

WWW-Authenticate: Basic realm=”OvenMediaEngine”

Body

{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}
404 Not Found

The given vhost or application name could not be found.

Body

{
"message": "[HTTP] Could not find the application: [vhost/app1] (404)",
"statusCode": 404
}
409 Conflict

A output profile name already exists

Get Output Profile Information

Request

GET /v1/vhosts/{vhost}/apps/{app}/outputProfiles/{profile}

Header

Authorization: Basic {credentials}

# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>

Responses

200 Ok

The request has succeeded

Header

Content-Type: application/json

Body

{
"statusCode": 200,
"message": "OK",
"response": {
"name": "bypass_profile2",
"outputStreamName": "${OriginStreamName}_bypass"
"encodes": {
"audios": [],
"videos": [
{
"bypass": true
}
]
}
}
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Output Profile information
401 Unauthorized

Authentication required

Header

WWW-Authenticate: Basic realm=”OvenMediaEngine”

Body

{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}
404 Not Found

The given vhost or application name could not be found.

Body

{
"message": "[HTTP] Could not find the application: [vhost/app1] (404)",
"statusCode": 404
}

Delete Output Profile

Delete output profile settings. If this request succeeds, the Application will be restarted.

Request

DELETE /v1/vhosts/{vhost}/apps/{app}/outputProfiles/{profile}

Header

Authorization: Basic {credentials}

# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>

Responses

200 Ok

The request has succeeded

Header

Content-Type: application/json

Body

{
"message": "OK",
"statusCode": 200
}

# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
401 Unauthorized

Authentication required

Header

WWW-Authenticate: Basic realm=”OvenMediaEngine”

Body

{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}
404 Not Found

The given vhost or application name could not be found.

Body

{
"message": "[HTTP] Could not find the application: [vhost/app1] (404)",
"statusCode": 404
}